Bug 1199494 - gnome-settings-daemon dislikes systemd private namespace directories
Summary: gnome-settings-daemon dislikes systemd private namespace directories
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 13:43 UTC by Christian Stadelmann
Modified: 2016-09-28 21:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 21:20:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2015-03-06 13:43:34 UTC
This bug report is a copy of https://bugzilla.redhat.com/show_bug.cgi?id=988632

Description of problem:
gnome-settings-daemon housekeeping-plugin fails to clean up (delete) old systemd private directories. 
These errors are logged exactly every hour (+60min between two blocks of those log entries)
In my case those directories are:
/tmp/systemd-private-*
/var/tmp/systemd-private-*
/var/tmp/kdecache-root
/var/tmp/abrt/*
and some entries in trash://

this for example looks like

Jul 25 19:52:39 olympian /etc/gdm/Xsession[1631]: (gnome-settings-daemon:1689): housekeeping-plugin-WARNING **: Failed to enumerate children of /var/tmp/systemd-private-YMj80k: Permission denied

Version-Release number of selected component (if applicable):
Fedora 21
systemd 216
gnome-settings-daemon 3.14.2

How reproducible:
always when old systemd directories are left over. On several Fedora installations.

Steps to Reproduce:
1. wait for 1 hour
2. watch syslog

Expected results:
those directories should be cleaned up

Comment 1 Zachary Graham 2015-04-07 03:08:47 UTC
I'm not sure whether or not they're supposed to be deleted, but yes I also have a few files and directories in /var/tmp that generate the same warning.

It is certainly a permissions issue:

Systemd temporary directories create this warning. All directories are owned root:root and have 700 permissions.

Some abrt directories create this warning. These particular directories are owned root:abrt and have 770 permissions.

Trimmed log output can be found at: http://paste.fedoraproject.org/207827/

Comment 2 Fedora End Of Life 2015-11-04 12:47:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Christian Stadelmann 2016-09-28 21:20:57 UTC
This issue is not present any more on Fedora 25 with Gnome 3.22.


Note You need to log in before you can comment on or make changes to this bug.